This documentation is for a release that is no longer maintained.
You can select a different version or view all RHACS documentation.Chapter 1. Administration Event Service
1.1. Administration Event Service Copy linkLink copied to clipboard!
1.1.1. CountAdministrationEvents Copy linkLink copied to clipboard!
GET /v1/count/administration/events
CountAdministrationEvents returns the number of events after filtering by requested fields.
1.1.1.1. Description Copy linkLink copied to clipboard!
1.1.1.2. Parameters Copy linkLink copied to clipboard!
1.1.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| filter.from | Matches events with last_occurred_at after a specific timestamp, i.e. the lower boundary. | - | null | |
| filter.until | Matches events with last_occurred_at before a specific timestamp, i.e. the upper boundary. | - | null | |
| filter.domain |
Matches events from a specific domain. | - | null | |
| filter.resourceType |
Matches events associated with a specific resource type. | - | null | |
| filter.type |
Matches events based on their type. | - | null | |
| filter.level |
Matches events based on their level. | - | null |
1.1.1.3. Return Type Copy linkLink copied to clipboard!
1.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
1.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
1.1.1.6. Samples Copy linkLink copied to clipboard!
1.1.2. GetAdministrationEvent Copy linkLink copied to clipboard!
GET /v1/administration/events/{id}
GetAdministrationEvent retrieves an event by ID.
1.1.2.1. Description Copy linkLink copied to clipboard!
1.1.2.2. Parameters Copy linkLink copied to clipboard!
1.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
1.1.2.3. Return Type Copy linkLink copied to clipboard!
1.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
1.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
1.1.2.6. Samples Copy linkLink copied to clipboard!
1.1.3. ListAdministrationEvents Copy linkLink copied to clipboard!
GET /v1/administration/events
ListAdministrationEvents returns the list of events after filtered by requested fields.
1.1.3.1. Description Copy linkLink copied to clipboard!
1.1.3.2. Parameters Copy linkLink copied to clipboard!
1.1.3.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null | ||
| filter.from | Matches events with last_occurred_at after a specific timestamp, i.e. the lower boundary. | - | null | |
| filter.until | Matches events with last_occurred_at before a specific timestamp, i.e. the upper boundary. | - | null | |
| filter.domain |
Matches events from a specific domain. | - | null | |
| filter.resourceType |
Matches events associated with a specific resource type. | - | null | |
| filter.type |
Matches events based on their type. | - | null | |
| filter.level |
Matches events based on their level. | - | null |
1.1.3.3. Return Type Copy linkLink copied to clipboard!
1.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
1.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |